Redmine - Defect #7596

Can't filter custom fields based on blank or non-blank values
2011-02-10 00:11 - Kioma Aldecoa

Status: Closed Start date: 2011-02-10
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Description

| have custom fields set up for projects. In the issue list, I'd like to be able to show only issues that have non-blank values present for
the custom field. Currently (we have redmine 1.0.1) when attempting filter based on the "is not" criteria and a blank value, redmine
comes back with an error that the field cannot be blank. Instead | would expect it to show issues where the value of that field is not
blank.

History

#1 - 2011-02-18 19:56 - Mark Price

Seeing the same issue in Redmine 1.1.1. | tried to work around this by setting a default value in the field that we would never use, and then use the
"is not" default value. However it matches on all the existing bugs that were created before the default value was added.

#2 - 2011-03-13 17:16 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

Do not use the "is not" filter, use the "none" filter instead. It will list all issues that don't a value set for the custom field.

#3 - 2011-06-29 18:01 - Phil Manser

- Status changed from Closed to Reopened

Where do you see the "none" filter? | have a custom integer field and the only options | see are "is", "contains”, "is not", and "doesn't contain". All of
them expect a value. There is no "none" or "is not none".

#4 - 2011-06-29 19:19 - Etienne Massip

Is your custom field a mandatory field ?

#5 - 2011-06-29 19:29 - Phil Manser

Etienne Massip wrote:

Is your custom field a mandatory field ?

Nope, it's an optional field. Though I did try changing it to required and then back to optional hoping that that might make a new set of options show
up, but to no avail.

#6 - 2011-07-13 16:30 - Ben Flaumenhaft

Hear, hear! | would really like to see this as capability as well -- have been unable to figure out a good workaround.

#7 - 2011-07-13 16:56 - Etienne Massip

- Status changed from Reopened to Closed

It has been fixed by JPL with #6180 for 1.3.0.
